gnutls_srp_set_client_credentials(3)

NAME
gnutls_srp_set_client_credentials - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_srp_set_client_credentials(gnutls_srp_client_credentials_t res, const char * username, const char * password);

ARGUMENTS

gnutls_srp_client_credentials_t res
    is a gnutls_srp_client_credentials_t structure.

const char * username
    is the user's userid

const char * password
    is the user's password

DESCRIPTION
This function sets the username and password, in a gnutls_srp_client_credentials_t structure. Those will be used in SRP authentication. username and password should be ASCII strings or UTF-8 strings prepared using the "SASLprep" profile of "stringprep".

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, or an error code.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/